Skip to content
Back to top
View this page

# VideoQuality

class telegram.VideoQuality(file_id, file_unique_id, width, height, codec, file_size=None, *, api_kwargs=None)

  Bases: `telegram.TelegramObject`

  This object represents a video file of a specific quality.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `file_unique_id` is equal.

  Available In

  `telegram.Video.qualities`

  Added in version 22.7.

  Parameters:

    - file_id (`str`) – Identifier for this file, which can be used to download or reuse the file.

    - file_unique_id (`str`) – Unique identifier for this file, which is supposed to be the same over time and for different bots. Can’t be used to download or reuse the file.

    - width (`int`) – Video width.

    - height (`int`) – Video height.

    - codec (`str`) – Codec that was used to encode the video, for example, `h264`, `h265`, or `av01`

    - file_size (`int`, optional) – File size in bytes.

  file_id

    Identifier for this file, which can be used to download or reuse the file.

    Type:

      `str`

  file_unique_id

    Unique identifier for this file, which is supposed to be the same over time and for different bots. Can’t be used to download or reuse the file.

    Type:

      `str`

  width

    Video width.

    Type:

      `int`

  height

    Video height.

    Type:

      `int`

  codec

    Codec that was used to encode the video, for example, `h264`, `h265`, or `av01`

    Type:

      `str`

  file_size

    Optional. File size in bytes.

    Type:

      `int`

  async get_file(*, read_timeout=None, write_timeout=None, connect_timeout=None, pool_timeout=None, api_kwargs=None)

    Convenience wrapper over `telegram.Bot.get_file()`

    For the documentation of the arguments, please see `telegram.Bot.get_file()`.

    Returns:

      `telegram.File`

    Raises:

      telegram.error.TelegramError –